#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    double a[n],p[n],pomocna,max,maks=0;
    for(int i = 0;i<n;i++){
        cin>>a[i]>>p[i];
    }
    for(int i = 0;i<n;i++){
        for(int j = i+1;j<n;j++){
            if(p[j]<p[i]){
                pomocna=p[i];
                p[i]=p[j];
                p[j]=pomocna;
                pomocna=a[i];
                a[i]=a[j];
                a[j]=pomocna;
            }
        }
    }
}